Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Firefox videos fail to play

  1. #1

    Default Firefox videos fail to play

    Since installing Leap 15 / Firefox Quantum 60.0.2 none of the videos on the BBC web site play: "This content doesn't seem to be working. Try again.". The accompanying error message says
    "2.19.11.1853247.r
    unknown bitrate | dash (mf_limelight_dash_https)
    p06b71vv | unknown dimensions
    Error:4999
    AdsPluginHTML.3.24.1
    ContinuousPlayPluginHTML.1.23.4"


    Can anyone confirm this behaviour? Which video component may be missing? It makes no differenece if Shockwave Flash (29.0.0.171) is activated or not.

  2. #2
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,747

    Default Re: Firefox videos fail to play

    You may need to get codecs from packman. Have you done the switch to the packman repo?

    Show zypper lr -d for detailed instructions

  3. #3

    Default Re: Firefox videos fail to play

    Quote Originally Posted by gogalthorp View Post
    You may need to get codecs from packman. Have you done the switch to the packman repo?

    Show zypper lr -d for detailed instructions

    Code:
    #  | Alias                           | Name                                    | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                      | Service
    ---+---------------------------------+-----------------------------------------+---------+-----------+---------+----------+--------+--------------------------------------------------------------------------+--------
     1 | download.opensuse.org-non-oss   | Main Repository (NON-OSS)               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.0/repo/non-oss/        |        
     2 | download.opensuse.org-non-oss_1 | Update Repository (Non-Oss)             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.0/non-oss/                   |        
     3 | download.opensuse.org-oss       | Main Repository (OSS)                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.0/repo/oss/            |        
     4 | download.opensuse.org-oss_1     | Main Update Repository                  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.0/oss                        |        
     5 | openSUSE-Leap-15.0-1            | openSUSE-Leap-15.0-1                    | No      | ----      | ----    |   99     | rpm-md | cd:///?devices=/dev/disk/by-id/ata-HL-DT-STDVD+-RW_GSA-H21N              |        
     6 | packman.inode.at-suse           | Packman Repository                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_15.0/                         |        
     7 | repo-debug                      | openSUSE-Leap-15.0-Debug                | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.0/repo/oss/      |        
     8 | repo-debug-non-oss              | openSUSE-Leap-15.0-Debug-Non-Oss        | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.0/repo/non-oss/  |        
     9 | repo-debug-update               | openSUSE-Leap-15.0-Update-Debug         | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/update/leap/15.0/oss/                 |        
    10 | repo-debug-update-non-oss       | openSUSE-Leap-15.0-Update-Debug-Non-Oss | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/update/leap/15.0/non-oss/             |        
    11 | repo-source                     | openSUSE-Leap-15.0-Source               | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/source/distribution/leap/15.0/repo/oss/     |        
    12 | repo-source-non-oss             | openSUSE-Leap-15.0-Source-Non-Oss       | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/source/distribution/leap/15.0/repo/non-oss/ |
    Packman is activated.

  4. #4
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,157

    Default Re: Firefox videos fail to play

    Quote Originally Posted by hnimmo View Post
    Code:
    #  | Alias                           | Name                                    | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                      | Service
    ---+---------------------------------+-----------------------------------------+---------+-----------+---------+----------+--------+--------------------------------------------------------------------------+--------
     1 | download.opensuse.org-non-oss   | Main Repository (NON-OSS)               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.0/repo/non-oss/        |        
     2 | download.opensuse.org-non-oss_1 | Update Repository (Non-Oss)             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.0/non-oss/                   |        
     3 | download.opensuse.org-oss       | Main Repository (OSS)                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.0/repo/oss/            |        
     4 | download.opensuse.org-oss_1     | Main Update Repository                  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.0/oss                        |        
     5 | openSUSE-Leap-15.0-1            | openSUSE-Leap-15.0-1                    | No      | ----      | ----    |   99     | rpm-md | cd:///?devices=/dev/disk/by-id/ata-HL-DT-STDVD+-RW_GSA-H21N              |        
     6 | packman.inode.at-suse           | Packman Repository                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_15.0/                         |        
     7 | repo-debug                      | openSUSE-Leap-15.0-Debug                | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.0/repo/oss/      |        
     8 | repo-debug-non-oss              | openSUSE-Leap-15.0-Debug-Non-Oss        | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.0/repo/non-oss/  |        
     9 | repo-debug-update               | openSUSE-Leap-15.0-Update-Debug         | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/update/leap/15.0/oss/                 |        
    10 | repo-debug-update-non-oss       | openSUSE-Leap-15.0-Update-Debug-Non-Oss | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/update/leap/15.0/non-oss/             |        
    11 | repo-source                     | openSUSE-Leap-15.0-Source               | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/source/distribution/leap/15.0/repo/oss/     |        
    12 | repo-source-non-oss             | openSUSE-Leap-15.0-Source-Non-Oss       | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/source/distribution/leap/15.0/repo/non-oss/ |
    Packman is activated.
    Yes, but an active repo does only mean you can install from it. But that does not happen by miracle. So did you do the vendor switch? Either from YaST > Software > Software Management or with
    Code:
    zypper dup --from 'Packman Repository'
    And to be sure you can repeat this and then try again your videos and report back.
    Henk van Velden

  5. #5

    Default Re: Firefox videos fail to play

    Quote Originally Posted by hcvv View Post
    Yes, but an active repo does only mean you can install from it. But that does not happen by miracle. So did you do the vendor switch? Either from YaST > Software > Software Management or with
    Code:
    zypper dup --from 'Packman Repository'
    And to be sure you can repeat this and then try again your videos and report back.
    Thanks gogalthorp and Henk, that was what was needed. Video now works.Unpleasant side-effect is that video seems to drive my cpu to the limit, requiring max cooling.

    Cheers
    Harvey

  6. #6
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Firefox videos fail to play

    Quote Originally Posted by hnimmo View Post
    Thanks gogalthorp and Henk, that was what was needed. Video now works.Unpleasant side-effect is that video seems to drive my cpu to the limit, requiring max cooling.

    Cheers
    Harvey
    what's your graphic card and driver?
    Code:
    sudo lspci | grep VGA
    on a side note bbc still uses flash on some of it's video's so you might want to install the flash-player
    Code:
    zypper in flash-player

  7. #7

    Default Re: Firefox videos fail to play

    Quote Originally Posted by I_A View Post
    what's your graphic card and driver?
    Code:
    sudo lspci | grep VGA
    on a side note bbc still uses flash on some of it's video's so you might want to install the flash-player
    Code:
    zypper in flash-player
    Code:
    VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Caicos [Radeon HD 6450/7450/8450 / R5 230 OEM]
    flash-player is/was installed, so I guess it now uses some of the packman libraries in place of the 'standard' ones.

    Cheers
    Harvey

  8. #8
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Firefox videos fail to play

    Quote Originally Posted by hnimmo View Post
    Code:
    VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Caicos [Radeon HD 6450/7450/8450 / R5 230 OEM]
    flash-player is/was installed, so I guess it now uses some of the packman libraries in place of the 'standard' ones.

    Cheers
    Harvey
    I have no experience with amd devices afaik the radeon opensource driver should be installed and it's pretty good at hardware accelerated decoding
    you can read thru the radeon wiki to see some info about testing the radeon driver
    https://en.opensuse.org/SDB:Radeon
    you could try running vainfo to check and see if your card supports hardware accelerated h264 (mp4) deciding
    vainfo is part of the vaapi-tools package and usually it's not installed by default
    Code:
    zypper in vaapi-tools
    vainfo

  9. #9

    Default Re: Firefox videos fail to play

    Excuse me if I do not follow up on the graphics drivers. On my desktop all works fine with packman codecs.

    However, I also have a Laptop where problem persists although I have switched to packman.

    Code:
    sudo lspci | grep VGA
    ...
    ...
    00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
    So I have to use packman libraries for that as well. Is the problem with the OpenSUSE set related to license issues?

  10. #10
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Firefox videos fail to play

    Quote Originally Posted by hnimmo View Post
    Excuse me if I do not follow up on the graphics drivers. On my desktop all works fine with packman codecs.

    However, I also have a Laptop where problem persists although I have switched to packman.

    Code:
    sudo lspci | grep VGA
    ...
    ...
    00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
    So I have to use packman libraries for that as well. Is the problem with the OpenSUSE set related to license issues?
    yes because of patent laws opensuse does not ship with any patented codecs like h264 aac etc which are among the most common video and audio used on the web
    check and see if the switch to packman was successful see where ffmpeg and it's libraries are from
    Code:
    zypper se -si ffmpeg
    zypper se -si libav*
    if the above are not from packman do another switch to packman
    intel graphics are handled by the kernel itself they don't need an extra driver package but some newer intel's need an upgraded kernel as I'm not an intel graphics user I can't say more
    Last edited by I_A; 22-Jun-2018 at 13:20.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •